#%%set_libtool_version 1.4

# define names and paths of QT/KDE packages
%define libqt libqt3
%define qtdir %_libdir/qt3
%define kdelibs kdelibs
%define kdedir %prefix

%define socks 0
%define cvs 0
%define cvsdaily 0
%define no_some_docs 0
%define use_translation_tables 0

%define with_email 1
%define with_console 1
%define with_auto_reply 1
%define with_rms 1
%define with_qt 1
%define with_kde 1
%define with_gtk 1
%define with_osd 1
%define with_gpg 1
%define with_msn 1

# Release:
%define beta %nil
%define rlz alt
%define rlzmajor 3
%define cvsdate 20030624

%if %cvs
%define beta %nil
%endif

%if %cvs
%define rlz0 %{rlz}0.%rlzmajor
%else
%define rlz0 %rlz%rlzmajor
%endif
#
%if "%beta" != "%nil"
%define rlz1 %rlz0.%beta
%else
%define rlz1 %rlz0
%endif
#
%if %cvs
%define rlz2 %rlz1.%cvsdate
%else
%define rlz2 %rlz1
%endif
#
%if %socks
%define rlz3 %rlz2.sox
%else
%define rlz3 %rlz2
%endif

Name: licq
Release: %rlz3
%if !%cvs
Version: 1.3.2
%else
Version: 1.3.3
%endif

# Automatically added by buildreq on Wed Jan 08 2003
#uildRequires: libtool_1.4
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: libXft libart_lgpl-devel libexpat libfontconfig libjpeg liblcms libmng
BuildRequires: libncurses-devel libssl-devel libstdc++-devel libtinfo-devel url_handler
BuildRequires: %libqt-devel-cxx = %__gcc_version_base
BuildRequires: %libqt > 1 %libqt-devel > 1
%if %with_console
BuildRequires: libcdk-devel
%endif
%if %with_kde
BuildRequires: %kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: %kdelibs > 1 %kdelibs-devel > 1
%endif
%if %socks
BuildRequires: libdante-devel
%endif
%if %with_gtk
BuildRequires: libgtk+2-devel
%endif
%if %with_osd
BuildRequires: libxosd-devel
%endif
%if %with_gpg
BuildRequires: libgpgme-devel libgpg-error-devel
%endif

########################
%if %cvs
# if cvs snapshot
Source: ftp://ftp.licq.org/pub/licq/srcs/%name-%cvsdate.tar.bz2
%if %with_auto_reply
Source1: ftp://ftp.licq.org/pub/licq/plugins/%name-auto-reply-%cvsdate.tar.bz2
%endif
%if %with_console
Source2: ftp://ftp.licq.org/pub/licq/plugins/%name-console-%cvsdate.tar.bz2
%endif
%if %with_rms
Source3: ftp://ftp.licq.org/pub/licq/plugins/%name-rms-%cvsdate.tar.bz2
%endif
%if %with_email
Source4: ftp://ftp.licq.org/pub/licq/plugins/%name-email-%cvsdate.tar.bz2
%endif
#
%else
# if stable version
Source: ftp://ftp.licq.org/pub/licq/srcs/%name-%version%beta.tar.bz2
%if %with_auto_reply
#Source1: ftp://ftp.licq.org/pub/licq/plugins/%name-auto-reply-%cvsdate.tar.bz2
%endif
%if %with_email
#Source4: ftp://ftp.licq.org/pub/licq/plugins/%name-email-%cvsdate.tar.bz2
%endif
#
%endif
%if %with_gtk
Source5: ftp://ftp.licq.org/pub/licq/plugins/icqnd-0.1.9.3.tar.bz2
%endif

########################

Source9: licq-tracepath.utility
Source10: licq-viewurl.sh
Source11: upgrade-1.3.0.sh
Source21: %name.16.xpm.bz2
Source22: %name.32.xpm.bz2
Source23: %name.48.xpm.bz2
Source24: ru.po

Patch2: licq-1.2.0-xvt.patch
#
Patch4: licq-1.3.0-conf.patch
#
Patch9: licq-1.2.0a-qt-gui-1.2.0-translation.patch
#
Patch13: licq-1.2.7-qtgui_def_ru_enc.patch
Patch14: licq-1.2.7-charset_icon_visibile.patch
Patch15: licq-1.2.7-urlview.patch
Patch16: licq-1.3.2-wrap_qt_malloc.patch
Patch17: licq_osd_plugin-1.2.7.3a-defaults.patch
Patch18: licq-1.3.0-qt-gui.conf.h.patch
Patch19: licq-1.3.2-rtld_lazy.patch
Patch20: licq-1.3.2-email-fix-compile.patch
Patch21: licq-1.3.2-kde-makefile.patch

Patch200: licq-1.2.7-remove-pidfile.patch

#package licq
Group: Networking/Instant messaging
Summary: ICQ clone written in C++
License: GPL
%if %with_osd
Requires: %name-osd = %version-%release
%endif
%if %with_kde
Requires: %name-kde = %version-%release
%else
Requires: %name-ui
%endif

%package maxi
Group: Networking/Instant messaging
Summary: ICQ clone written in C++
%if %with_msn
Requires: %name-msn = %version-%release
%endif
%if %with_email
Requires: %name-email = %version-%release
%endif
%if %with_auto_reply
Requires: %name-autoreply = %version-%release
%endif
%if %with_rms
Requires: %name-rms = %version-%release
%endif
%if %with_osd
Requires: %name-osd = %version-%release
%endif
%if %with_qt
Requires: %name-qt = %version-%release
%else
Requires: %name-ui
%endif
%if %with_kde
Requires: %name-kde = %version-%release
%else
Requires: %name-ui
%endif
%if %with_gtk
Requires: %name-gtk = %version-%release
%else
Requires: %name-ui
%endif
%if %with_console
Requires: %name-console = %version-%release
%else
Requires: %name-ui
%endif

%package mini
Group: Networking/Instant messaging
Summary: ICQ clone written in C++
%if %with_qt
Requires: %name-qt = %version-%release
%else
Requires: %name-ui
%endif

%package common
Summary: Common binaries and data files  for Licq
Group: Networking/Instant messaging
Obsoletes: %name-ssl %name-data %name-update-hosts
Provides: %name-base = %version-release
Obsoletes: %name-base
%if %use_translation_tables
Requires: translation-tables
%endif
Requires: sound_handler

%package kde
Group: Networking/Instant messaging
Summary: ICQ clone written in C++, and the default plugin for KDE
Url: http://www.licq.org/
Provides: %name-plugin %name-ui
Requires: %name-common = %version-%release
Requires: %{get_dep %kdelibs}
Provides: %name-kde3 = %version-%release
Obsoletes: %name-kde3
#Provides: %name-kde = %version-%release
#Obsoletes: %name-kde

%package qt
Summary: Qt based GUI plugin  for %name
Group: Networking/Instant messaging
Provides: %name-plugin %name-ui
Requires: %name-common = %version-%release
Requires: %{get_dep %libqt}

%package gtk
Summary: GTK+ based GUI plugin  for %name
Group: Networking/Instant messaging
Provides: %name-plugin %name-ui
Requires: %name-common = %version-%release

%package console
Summary: Console based plugin for %name that uses ncurses
Group: Networking/Instant messaging
Provides: %name-plugin %name-ui
Requires: %name-common = %version-%release

%package email
Summary: Email forwarder plugin for %name
Group: Networking/Instant messaging
Provides: %name-plugin, %name-forwarder = %version-%release
Obsoletes: %name-forwarder
Requires: %name-common = %version-%release

%package autoreply
Summary: Autoreply Licq plugin for %name
Group: Networking/Instant messaging
Provides: %name-plugin
Requires: %name-common = %version-%release

%package rms
Summary: Remote management service plugin for %name
Group: Networking/Instant messaging
Provides: %name-plugin
Requires: %name-common = %version-%release

%package osd
Summary: OSD (On Screen Dysplay) plugin for %name
Group: Networking/Instant messaging
Provides: %name-plugin
Requires: %name-common = %version-%release

%package msn
Summary: MSN Protocol plugin for %name
Group: Networking/Instant messaging
Provides: %name-plugin
Requires: %name-common = %version-%release

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name-common = %version-%release

%description maxi
Licq supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.
%description mini
Licq supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.
%description
Licq supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.

%description kde
This is the KDE based GUI plugin for Licq.
Install this if you want a KDE-based GUI for Licq.

%description common
Common binaries and data files  for Licq

%description devel
This is the header files that you will need in order to compile Licq plugins.

%description rms
RMS stands for the Remote Management Service. It is a plugin for Licq which
enables you to "telnet" to your Licq box to perform various tasks. Security is
implemented through basic username and password authentication.

%description qt
This is the qt based GUI for Licq.
Install this and if you want a qt-based GUI for Licq.

%description gtk
This is the GTK+ based GUI plugin for Licq.
Install this if you want a GTK+ based GUI for Licq.

%description console
This is a console based plugin for Licq that uses ncurses that came in the
standard Licq source package. It is extremely usable and functional, but it
does not currently have support for gpm.

Install this if you want to run Licq on the console.

%description email
This plugin for Licq lets you forward messages to your email account. This is a
plugin that came with the standard Licq source package. It can be run
concurrently with a UI plugin.

Install this if you want to add this function to Licq.

%description autoreply
This plugin for Licq enables Licq to auto reply to messages. This is a plugin
standard Licq source package. It can be run concurrently with a UI plugin.

Install this if you want to add this function to Licq.

%description osd
This is a small plugin, which uses libxosd2 to
display new arriving messages as OSD (On Screen Display)
text on your desktop.

Install this if you want to add this function to Licq.

%description msn
MSN Protocol Plugin.

Install this if you want to add this function to Licq.

%description maxi
Licq supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.
%description mini
Licq supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.
%description
Licq supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.

This version of licq has SSL support for those plugins that support it.


### PREP ##########################################
%prep
%set_strip_method executable shared

%if %cvs
%define buildver %cvsdate
%else
%define buildver %version%beta
%endif

%if !%cvs
rm -rf ../%name-%cvsdate
%endif

%setup -q -n %name-%buildver
install -m 0755 %SOURCE11 upgrade/

pushd plugins
%if %cvs
# if cvs snapshot
%if %with_auto_reply
    tar xfj %SOURCE1
%endif
%if %with_console
    tar xfj %SOURCE2
%endif
%if %with_rms
    tar xfj %SOURCE3
%endif
%if %with_email
    tar xfj %SOURCE4
%endif
%endif
%if %with_gtk
    tar xfj %SOURCE5
%endif
%if %with_qt || %with_kde
    %__install -m 0644 %SOURCE24 qt-gui*/po/
%endif
popd

install -m 644 %SOURCE9 share/utilities/tracepath.utility

%patch2 -p1
#
%patch4 -p1
###%patch20 -p1

%if %use_translation_tables
%patch9 -p1
%endif

%if %with_osd
pushd plugins/osd*
%patch17 -p1
popd
%endif

# with_qt || with_kde
pushd plugins/qt-gui*
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch18 -p1
%patch21 -p1
popd

#%patch19 -p1

pushd plugins/email*
%patch20 -p1
popd

# remove old auto* files
find -type d -name autom4te.cache -exec rm -rf {} \; ||:

cd plugins/qt-gui*

%if %with_console
cd ../console*
make -f admin/Makefile.common cvs ||:
%endif

%if %with_email
cd ../email*
make -f admin/Makefile.common cvs ||:
%endif

%if %with_auto_reply
cd ../auto-reply*
make -f admin/Makefile.common cvs ||:
%endif

%if %with_rms
cd ../rms*
make -f admin/Makefile.common cvs ||:
%endif

%if %with_gtk
cd ../icqnd-*
#make -f admin/Makefile.common cvs ||:
%endif

%if %with_osd
cd ../osd*
make -f admin/Makefile.common cvs ||:
%endif

%if %with_msn
cd ../msn*
make -f admin/Makefile.common cvs ||:
%endif

cd ../qt-gui*
subst "s/libkdecore\.la/libkdecore.so/g" acinclude.m4.in
#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" acinclude.m4.in
subst "s/ac_qt_libname=-lqt-mt/ac_qt_libname=\"-lqt-mt -lpthread\"/g" acinclude.m4.in
make -f admin/Makefile.common cvs ||:
export PATH=%qtdir/bin:$PATH
find -type f -name \*.cpp | \
while read f
do
    grep include $f| grep -q '.moc' || continue
    F=`echo "$f"| sed "s/\.cpp$/.h/"`
    M=`echo "$f"| sed "s/\.cpp$/.moc/"`
    echo $F
    moc $F -o $M
done

cd ..
cp -r qt-gui* kde-gui
cd kde-gui
rm -rf qt-gui*
make -f admin/Makefile.common cvs ||:

cd ../..
make -f admin/Makefile.common cvs ||:

### BUILD ##########################################
%build
%if %with_osd
%add_optflags -DCP_TRANSLATE
%endif
export CFLAGS="%optflags" CXXFLAGS="%optflags" CPPFLAGS="%optflags"
export PATH=%qtdir/bin:$PATH

cd plugins/qt-gui*

%if %with_console
# console interface /w ncurses plugin
cd ../console*
%configure --disable-rpath
%make_build
%endif

%if %with_email
# email
cd ../email*
%configure --disable-rpath
%make_build
%endif

%if %with_auto_reply
#auto reply
cd ../auto-reply*
%configure --disable-rpath
%make_build
%endif

%if %with_rms
# remote management service
cd ../rms*
%configure --disable-rpath
%make_build
%endif

%if %with_gtk
# gtk gui
cd ../icqnd-*
%configure --disable-rpath --with-licq-includes=../../include
%make_build
%endif

%if %with_osd
# osd
cd ../osd*
%configure --disable-rpath
%make_build
%endif

%if %with_msn
# osd
cd ../msn*
%configure --disable-rpath
%make_build
%endif

%if %with_qt
# qt gui
cd ../qt-gui*
export QTDIR=%qtdir
%configure --disable-rpath --with-x
%make_build
%endif

%if %with_kde
# kde gui
cd ../kde-gui*
export QTDIR=%qtdir KDEDIR=%kdedir
%configure --disable-rpath --with-kde
pushd src
dcopidl kimiface.h > kimiface.kidl
dcopidl2cpp --c++-suffix cpp --no-signals kimiface.kidl
popd

%make_build
%endif

#main licq stuff
cd ../..
%configure \
	    --disable-rpath \
	    --enable-gpgme \
	    --enable-openssl \
%if %socks
	    --enable-socks5 \
%endif
	    --program-transform-name=""
%make_build

### INSTALL ##########################################
%install
#licq base
mkdir -p %buildroot/%_datadir/locale

%make install DESTDIR=%buildroot

mkdir -p %buildroot/%_bindir
install -m755 src/licq %buildroot/%_bindir/licq-ssl
ln -fs licq-ssl %buildroot/%_bindir/licq
install -m755 %SOURCE10 %buildroot/%_bindir/licq-viewurl.sh

rm -rf %buildroot/%_datadir/licq/translations
%if %use_translation_tables
ln -s %_datadir/translation-tables %buildroot/%_datadir/licq/translations
%endif

mkdir -p %buildroot/%_miconsdir
mkdir -p %buildroot/%_iconsdir
mkdir -p %buildroot/%_liconsdir
bzip2 -dc %SOURCE21 > %buildroot/%_miconsdir/licq.xpm
bzip2 -dc %SOURCE22 > %buildroot/%_iconsdir/licq.xpm
bzip2 -dc %SOURCE23 > %buildroot/%_liconsdir/licq.xpm

# menu stuff GTK
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name-gtk <<EOF
    ?package(licq-gtk):\
    command="licq -p gtk-gui"\
    icon="licq.xpm"\
    title="Licq [GTK]"\
    longtitle="ICQ client"\
    needs="x11"\
    section="Networking/Instant messaging"
EOF

# menu stuff QT
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name-qt <<EOF
    ?package(licq-qt):\
    command="licq -p qt-gui"\
    icon="licq.xpm"\
    title="Licq [Qt]"\
    longtitle="ICQ client"\
    needs="x11"\
    section="Networking/Instant messaging"
EOF

# menu stuff KDE
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name-kde <<EOF
    ?package(licq-kde):\
    command="licq -p kde-gui"\
    icon="licq.xpm"\
    title="Licq [KDE]"\
    longtitle="ICQ client for KDE"\
    needs="x11"\
    section="Networking/Instant messaging"
EOF

# menu stuff console
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name-console <<EOF
    ?package(licq-console):\
    command="licq -p console"\
    icon="licq.xpm"\
    title="Licq [console]"\
    longtitle="Text based ICQ client"\
    needs="text"\
    section="Networking/Instant messaging"
EOF

%find_lang %name

cd plugins/qt-gui*

%if %with_kde
#kde gui
cd ../kde-gui*
%make install DESTDIR=%buildroot
#install -m755 src/.libs/licq_qt-gui.so %buildroot/%_libdir/licq/licq_kde-gui.so
#install -m755 src/.libs/licq_qt-gui.la %buildroot/%_libdir/licq/licq_kde-gui.la
%endif

%if %with_qt
#qt gui
cd ../qt-gui*
%make install DESTDIR=%buildroot
# fix the permission problems (??!!!)
pushd %buildroot/%_datadir/licq/qt-gui/
    chmod 755 *
popd
%endif

%if %with_gtk
cd ../icqnd-*
%make install DESTDIR=%buildroot
ln -s licq_icqnd.so %buildroot/%_libdir/licq/licq_gtk-gui.so
ln -s licq_icqnd.la %buildroot/%_libdir/licq/licq_gtk-gui.la
%endif

%if %with_osd
cd ../osd*
%make install DESTDIR=%buildroot
chmod a+x %buildroot/%_libdir/%name/licq_osd.*
%find_lang licq_osd_plugin
%endif

%if %with_msn
# msn plugin
cd ../msn*
%make install DESTDIR=%buildroot
%endif

%if %with_console
# console ui
cd ../console*
%make install DESTDIR=%buildroot
%endif

%if %with_email
#  email
cd ../email*
%make install DESTDIR=%buildroot
%endif

%if %with_auto_reply
# auto reply
cd ../auto-reply*
%make install DESTDIR=%buildroot
%endif

%if %with_rms
# remote management service
cd ../rms*
%make install DESTDIR=%buildroot
%endif

%post
%update_menus
%postun
%clean_menus

%post qt
%update_menus
%postun qt
%clean_menus

%post gtk
%update_menus
%postun gtk
%clean_menus

%post console
%update_menus
%postun console
%clean_menus

### FILES ##########################################
#
%files
%files maxi
%files mini

%if %with_kde
## kde plugin
%files kde
%_menudir/licq-kde
%_libdir/licq/licq*kde-gui*
%endif

%if %with_qt
## licq qt plugin
%files qt
%_menudir/licq-qt
%_libdir/licq/licq*qt*
%attr(755,root,root) %dir %_datadir/licq/qt-gui
%endif

## licq base
%files common -f %name.lang
%_bindir/licq
%_bindir/licq-ssl
%if %use_translation_tables
%attr(755,root,root) %dir %_datadir/licq/translations
%endif
%attr(755,root,root) %dir %_datadir/licq/utilities
%attr(755,root,root) %dir %_datadir/licq/sounds
%dir %_libdir/licq
%_datadir/licq/utilities/*
%_datadir/licq/sounds/*
%_datadir/licq/qt-gui/*
%_miconsdir/licq.xpm
%_iconsdir/licq.xpm
%_liconsdir/licq.xpm
%attr(0755,root,root) %_bindir/licq-viewurl.sh
%doc doc/ upgrade/ ChangeLog README*  bin/licq.* bin/licq2mutt
%if %with_gpg
%doc licq_gpg.conf
%endif

%if %with_gtk
## gtk plugin
%files gtk
%_menudir/licq-gtk
%_libdir/licq/licq*icqnd*
%_libdir/licq/licq*gtk-gui*
%_datadir/licq/icqnd
%endif

%if %with_osd
## osd plugin
%files osd -f plugins/osd/licq_osd_plugin.lang
%_libdir/licq/licq_osd*
%doc plugins/osd*/%{name}_osd.conf
%doc plugins/osd*/{AUTHORS,TODO,README}
%endif

%if %with_msn
## msn plugin
%files msn
%_libdir/licq/protocol_msn*
%doc plugins/msn*/owner.MSN_
%doc plugins/msn*/README
%endif

## devel
%files devel
%_includedir/licq

%if %with_console
## console plugin
%files console
%_menudir/licq-console
%_libdir/licq/licq*console*
%doc plugins/console*/README
%if !%no_some_docs
%doc plugins/console*/%{name}_console.conf
%endif
%endif

%if %with_email
## email plugin
%files email
%_libdir/licq/licq*forward*
%doc plugins/email*/README
%doc plugins/email*/%{name}_forwarder.conf
%endif

%if %with_auto_reply
## auto reply plugin
%files autoreply
%_libdir/licq/licq_auto*
%doc plugins/auto*/README
%doc plugins/auto*/%{name}_autoreply.conf
%endif

%if %with_rms
## remote management svcx
%files rms
%_libdir/licq/licq*rms*
%doc plugins/rms*/README
%if !%no_some_docs
%doc plugins/rms*/%{name}_rms.conf
%endif
%endif

########################################################
%changelog
* Fri Oct 28 2005 Sergey V Turchin <zerg at altlinux dot org> 1.3.2-alt3
- fix russian translation

* Thu Oct 27 2005 Sergey V Turchin <zerg at altlinux dot org> 1.3.2-alt2
- fix build requires
- update russian translation

* Tue Oct 25 2005 Sergey V Turchin <zerg at altlinux dot org> 1.3.2-alt1
- new version

* Tue Oct 19 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.0-alt3
- disable docking by default because crash

* Tue Oct 12 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.0-alt2
- add upgrade-1.3.0.sh to documentation of %name-common package
- force linking qt-gui and kde-gui with libpthread

* Tue Oct 12 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.0-alt1
- new version

* Mon Jul 12 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt7
- check /proc/PID/cmdline (#3924)
- osd plugin 1.2.7.5
- add translations of osd plugin into package
- fix dock size in gnome

* Wed May 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.7-alt6.1
- Rebuilt with openssl-0.9.7d.

* Sat Mar 20 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt6
- rebuild with new qt

* Thu Dec 11 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt5
- add patch to wrap qt malloc

* Fri Nov 14 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt4
- restructurisation
- improve charset changing icon visibility in kde-ui
- new version of osd plugin and default settings
- gpg support
- hiding userlist by click on warf in qt-gui
- add patch for default url viewver
- fix menu

* Mon Jun 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt3
- patch to encode alias in tabbed dialog by Alexey Morozov <alex at hop-go.com>
- add hack for default encoding CP1251 when *.KOI8* locale

* Thu Jun 26 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt2
- build without socks for Sisyphus

* Thu Jun 26 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt1.sox
- new version
- build with socks for Daedalus

* Tue Jun 24 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.7-alt0.1.20030624
- update from cvs
- new version of osd plugin

* Fri Apr 04 2003 Sergey V Turchin < zerg at altlinux dot ru > 1.2.6-alt3
- build with new osd (On Screen Dysplay) plugin

* Wed Apr 02 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.6-alt2
- build without socks for Sisyphus

* Wed Apr 02 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.6-alt1.sox
- new version
- build with socks for Daedalus

* Thu Jan 30 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.4-alt2
- build without socks

* Thu Jan 30 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.4-alt1.sox
- new version
- build with socks

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.3-alt2
- fix build with socks

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.3-alt1.sox
- build with socks for Daedalus

* Wed Jan 08 2003 Sergey V Turchin <zerg@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Wed Dec 25 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.2.20021225
- update from cvs

* Thu Dec 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.2.20021219
- update from cvs

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.2.20021127
- update from cvs

* Mon Nov 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.2.20021118
- update from cvs

* Thu Nov 14 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.2.20021114
- update from cvs

* Tue Nov 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.2.20021112
- update from cvs

* Tue Nov 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.2.20021105
- update from cvs
- disable Patch8

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.1.20021104
- update from cvs

* Tue Oct 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.2-alt0.1.20021029
- new devel version
- update from cvs

* Fri Oct 25 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt0.4.20021015
- update from cvs

* Tue Oct 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt0.3.20021015
- update code from cvs
- move %name to %name-qt, %name-kde to %name

* Thu Sep 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt0.3.20020828
- build with gcc 3.2

* Wed Aug 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt0.2.20020828
- update code from cvs

* Mon Aug 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt0.2.20020819
- add patch8 for translation tables
  from Sergey A. Sukiyazov <corwin@micom.net.ru>

* Mon Aug 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.1-alt0.1.20020819
- update code from cvs

* Thu Aug 01 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2.0-alt1.a
- new version

* Wed Jul 17 2002 ZerG <zerg@altlinux.ru> 1.1.0-alt0.15.cvs20020717
- update code from cvs

* Sun Jul 14 2002 ZerG <zerg@altlinux.ru> 1.1.0-alt0.15.cvs20020711
- update code from cvs

* Fri Jun 14 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.15.cvs20020611
- fix requires

* Tue Jun 11 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.14.cvs20020611
- update from cvs
- build without email plugin

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.12.cvs20020425
- build with KDE3/Qt3 but without KDE2/Qt2
- update from cvs

* Fri Apr 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.11.cvs20020411
- fix build GUI pluguins with right QT-KDE
- fix launch KDE3 plugin

* Thu Apr 11 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.10.cvs20020411
- update cvs
- build plugin for KDE3
- cleanup spec

* Thu Mar 28 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.9.cvs20020328
- cvs updated

* Thu Mar 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.8.cvs20020321
- cvs updated

* Wed Feb 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.7.cvs20020220
- cvs updated

* Thu Feb 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.6.cvs20020212
- cvs updated

* Fri Feb 01 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.5.cvs20020201
- cvs updated

* Wed Jan 16 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.4.cvs20020112
- cvs updated

* Thu Jan 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.0-alt0.3.cvs20020103
- cvs updated
- cleanup spec

* Fri Dec 21 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.4-alt2
- cvs updated
- drop Source1, Source7

* Fri Dec 07 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.4-alt1
- add Source7 to compile 1.0.4 with qt2

* Thu Dec 06 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.4-alt0.4
- 1.0.4
- cleanup && fix && improve spec
- cvs tag V8_BRANCH added to Source1
- remove jons-gtk-gui plugin

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.4-alt0.3
- fix Requires

* Mon Oct 29 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.4-alt0.2
- move base binaries and data to external package %name-base
- cleanup spec
- remove update-hosts plugin

* Mon Oct 22 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.4-alt0.1
- cvs snapshoot
- build jons-gtk-gui plugin
- change version because 1.0.4 is near

* Tue Oct 02 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.3-ipl7mdk
- cvs snapshoot
- cleanup spec
- add patch6 from Alexey Morozov <aam@altlinux.ru>

* Thu May 17 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.3-ipl6mdk
- fix wrong build

* Mon May 14 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.3-ipl5mdk
- fix build version

* Fri May 11 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.3-alt1
- rebuild with KDE and QT plugins

* Fri Mar 16 2001 AEN <aen@logic.ru> 1.0.3-ipl3mdk
- rebuild w/o KDE :-(

* Fri Mar 16 2001 AEN <aen@logic.ru> 1.0.3-ipl2mdk
- rebuild in release environment

* Sat Mar 10 2001 AEN <aen@logic.ru> 1.0.3-ipl1mdk
- 1.0.3

* Fri Jan 05 2001 AEN <aen@logic.ru>
- default translation directory fixed

* Wed Dec 20 2000 AEN <aen@logic.ru>
- 1.0.2
- small spec changes

* Sun Dec 17 2000 AEN <aen@logic.ru>
- 1.0.1

* Sat Dec 09 2000 AEN <aen@logic.ru>
- build for RE
- translations added
* Wed Nov 15 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 1.0-4mdk
- patched source to generate to use soundwrapper by default.

* Sun Nov 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-3mdk
- recompile with new gcc.

* Sun Oct 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-2mdk
- add a missing iostream include.

* Fri Oct 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-1mdk
- a very nice and new shiny version.

* Sun Oct 08 2000 Geoffrey Lee <snailtalk@mandrakeoft.com> 0.85-23mdk
- fix the segv problems (Jason, Alex.)
- remove qt-devel (Why was it ever there ??)

* Wed Sep 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-22mdk
- remove the wrapper script. It is a bad idea, really ... Qt has pretty
  crappy support for i18n anyway.
- replace the wrapper script with a symbolic link.

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.85-21mdk
- Fix section in Menu entry$
- Fux Summary

* Sat Sep 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-20mdk
- rebuild against the latest Qt library.
- a fix for the shell script wrapper.

* Tue Sep 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-19mdk
- for each (@group) s/ICQ/Instant messaging/;

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-18mdk
- really obsolete licq-ssl ..

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-17mdk
- requires licq, not licq-base. OK this really should be the last problem..:-(

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-16mdk
- obsolete licq-ssl as well. This should be the last of licq problems ..

* Sun Sep 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-15mdk
- obsoletes the licq-base package, as it is no longer needed (vdanen.)
- add a script for i18n (me).

* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandakesoft.com> 0.85-14mdk
- merge the licq-ssl and licq-base package to licq.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-13mdk
- apply patch from Jan Niehusmann <jan@gondor.com> to fix an annoying bug.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com>  0.85-12mdk
- rebuild to fix a typo.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.85-11mdk
- automatically added BuildRequires

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-10mdk
- fix silly typo in the licq-ssl package (andre)

* Thu Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-9mdk
- add post and postun for ssl package

* Thu Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-8mdk
- re-enable the ssl binary support since we can include it now

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-7mdk
- fix some wrong requires
- fix the duplicate menu entries
- remove the ssl binary (maybe one should go to crypto ...)

* Fri Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.85-6mdk
- problem with licq-ssl menu entry: command is licq-ssl not licq or else you
  don't get the secure licq to licq implementation!!
- update menus and clean the menus for the licq-ssl pcakage
- fix the requires
- fix some awfully wrong permissions ...

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-5mdk
- re-del the individual versionning. either we use individual release
  tags or we do nothing, in order to not make the upgrades impossible.
- BM

* Tue Jul 18 2000 Geoffrey lee <snailtalk@linux-mandrake.com> 0.85-4mdk
- re-add the individual versioning: it is not silly, because every plugin
  has its own version, it is best not to re-define the version ourselves
- add official rms plugin
- gtk+licq has been moved to separate spec file
- add devel package

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-3mdk
- fix silly hardcoding of i586-mandrake-linux instead of % {_target_platform}

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-2mdk
- disable silly separate versionning of each plugin

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.85-1mdk
- 0.85
- gtk plugin does not compile anymore (API change)
- patch4: fix update-host plugin
- patch5: fix ltconfig problem for main

* Wed May 19 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.81-11mdk
- _tmppath
- better perl fix for gtk+licq install hack
- buildrequires qt2-devel >= 2.1, and not just in requires:
- use QTDIR
- remove some patches
- new mailchecker plugin (not compiled yet, doesn't work with release)
- add password patch for qt-gui and gtk+ gui, please test !!
- oops, require ncurses for console plugin
- removed duplicate summary
- remove -c from %%setup (ugly hack by me) and use mv

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.81-10mdk
- libtoolizification fix (aka shoot'party of configure).

* Wed Apr 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-9mdk
- licq-update-hosts-0.0.5-8mdk.i586.rpm has been lost in space

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-8mdk
- added dependency to qt2 >= 2.1

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-7mdk
- fixed missing icon in filelist
- added 32x32 icon
- cleanup of specfile, install section mostly [still a lot to do]
- path of qt2 with the help of Christopher Molnar

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-6mdk
- changed path of qt2 includes

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-5mdk
- Added menu icon

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-4mdk
- updated to use qt-2.1

* Fri Apr 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.81-3mdk
- fix menu entry
- merge menu file with spec

* Thu Apr 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.81-2mdk
- installation hacks for gtk+licq  :-/
- add URL for gtk+licq @ http://gtk.licq.org
- update hosts 0.0.5
- greatly improve description
- use prefix: _prefix and then prefix in files section
- fixed files section
- apologize for the stupid changelog mistakes that i made last time

* Fri Mar 31 2000 Lenny Cartier <lenny@mandrakesoft.com>
- add menu entry
- used srpm from Geoffrey Lee <snailtalk@linux-mandrake.com>

* Thu Mar 29 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.81
- qt+licq 0.38.1
- compile qt-gui --with-spoofing ;-) ;-)

* Thu Mar 23 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.80
- add gtk+licq 0.38
- include more docs
- hacked the spec file a lot
- add update-hosts 0.0.4 (hacked slightly to get it to work)
- use autoconf for qt plugin + update-hosts because original configure script
  was f*cked

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com>
- clean spec
- fix group
- fix files section

* Sun Feb 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Fix docs
- Strip binaries

* Thu Jan 27 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Updated to 0.75.3a
- Fixed upgrade scripts.

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Added docs

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.70.1.
- {Build,}Requires: qt2{-,devel}.
- Correct download locations.
- Improve Summary.
- Fix build with qt2.

* Sun Sep 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.70 final

* Thu Aug 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- initial RPM

